Bug 173093 - insufficient security level
insufficient security level
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: FTP Support
6.x
PC Windows Vista
: P3 (vote)
: 6.x
Assigned To: Tomas Mysik
issues@php
:
Depends on: 173413
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-25 12:20 UTC by slevin
Modified: 2010-01-25 06:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description slevin 2009-09-25 12:20:23 UTC
At this moment, FTP-account info (login/password) are stored in text files.
Password is coded with a simple shift cipher (with substitution = 13th), which is really unsecure.
I suppose, there should by used at least more complicated cipher
Comment 1 Tomas Mysik 2009-11-25 03:44:12 UTC
There's a warning about it and some more general solution should be used (IMHO any kind of keystore for NB should be implemented).
Comment 2 Tomas Mysik 2009-12-07 08:28:06 UTC
Will be fixed after bug #173413 is closed.
Comment 3 Tomas Mysik 2010-01-20 05:59:15 UTC
Fixed, Filipe please verify, it is _very_ important (FTP/SFTP passwords should be removed from nbproject directory but should not be lost). Thanks a lot.
http://hg.netbeans.org/web-main/rev/944995cf3646
Comment 4 Quality Engineering 2010-01-24 08:44:34 UTC
Integrated into 'main-golden', will be available in build *201001240200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/944995cf3646
User: Tomas Mysik <tmysik@netbeans.org>
Log: #173093: insufficient security level
Comment 5 Filip Zamboj 2010-01-25 06:02:08 UTC
not possible to verify ... looks like something is wrong because no action/no keyring appeared. 

Product Version: NetBeans IDE Dev (Build null)
Java: 1.6.0_16; Java HotSpot(TM) 64-Bit Server VM 14.2-b01
Comment 6 Filip Zamboj 2010-01-25 06:54:53 UTC
solved, I use gnome and password was stored using gnome keyring
Comment 7 Filip Zamboj 2010-01-25 06:55:19 UTC
verified
Product Version: NetBeans IDE Dev (Build null)
Java: 1.6.0_16; Java HotSpot(TM) 64-Bit Server VM 14.2-b01


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo